/*
 * Class INDEXABLE_ITERATION_CURSOR [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_497 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_497 [] = {0xFF01,237,496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_2_497 [] = {0xFF01,496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_3_497 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_497 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_497 [] = {0xFF01,496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_6_497 [] = {0xFF01,496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_7_497 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_497 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_497 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_497 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_497 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_497 [] = {496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_13_497 [] = {0xFF01,496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_497 [] = {0xFF01,496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_15_497 [] = {0xFF01,496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_16_497 [] = {0xFF01,496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_17_497 [] = {0xFF01,496,185,0xFFFF};
static const EIF_TYPE_INDEX egt_18_497 [] = {0xFF01,499,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_497 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_497 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_497 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_497 [] = {0xFF01,496,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_497 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_497[] = {
	{EIF_GENERIC(NULL), 3138, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_497), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_497), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_497), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_497), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_497), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_497), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_497), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_497), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_497), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_497), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_497), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_497), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_497), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_497), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3139, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3141, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3142, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 3143, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 3144, 20},
	{EIF_NON_GENERIC(0x019D /*206*/), 3145, 24},
	{EIF_GENERIC(egt_14_497), 3147, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_497), 3148, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_497), 3124, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_497), 3125, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 3126, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 3128, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 3129, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3130, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3131, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3132, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3133, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3134, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_497), 3136, 0},
	{EIF_GENERIC(egt_19_497), 3137, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_497), 3140, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3127, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3135, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_497), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_497), 3146, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_497), -1, 0xFFFFFFFF},
};
void Init497(void)
{
	IDSC(desc_497, 0, 496);
	IDSC(desc_497 + 1, 1, 496);
	IDSC(desc_497 + 32, 194, 496);
	IDSC(desc_497 + 52, 245, 496);
	IDSC(desc_497 + 56, 99, 496);
}


#ifdef __cplusplus
}
#endif
